summaryrefslogtreecommitdiff
path: root/.local/bin/transadd
diff options
context:
space:
mode:
authorJackson Taylor <jackson@jacksontaylor.xyz>2022-02-03 22:22:11 -0500
committerJackson Taylor <jackson@jacksontaylor.xyz>2022-02-03 22:28:08 -0500
commit7888574b1c18c77b75e5c6c5930cd0709f16898a (patch)
treeed4214ac5696c5641a1d8e3d335d68f7ca72f6d2 /.local/bin/transadd
parent7434b9127257627a48b7520effd46fb389f1fddd (diff)
Catching upHEADmaster
Diffstat (limited to '.local/bin/transadd')
-rwxr-xr-x.local/bin/transadd9
1 files changed, 9 insertions, 0 deletions
diff --git a/.local/bin/transadd b/.local/bin/transadd
new file mode 100755
index 0000000..a598fad
--- /dev/null
+++ b/.local/bin/transadd
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+# Mimeapp script for adding torrent to transmission-daemon, but will also start the daemon first if not running.
+
+# transmission-daemon sometimes fails to take remote requests in its first moments, hence the sleep.
+
+pidof transmission-daemon >/dev/null || (transmission-daemon && notify-send "Starting transmission daemon..." && sleep 3 && pkill -RTMIN+7 "${STATUSBAR:-dwmblocks}")
+
+transmission-remote -a "$@" && notify-send "🔽 Torrent added."